package cn.teammodel.model.dto.ai.comment;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 评语接收信息
 */
@Data
public class ChatCommentsDto {
    /**
     * 会话id
     */
    private String sessionId;
    /**
     * 预设的会话面具 id
     */
    private String appId;
    /**
     * 评语类型
     */
    @NotBlank(message = "评语类型不能为空")
    private String type;

    @NotBlank(message = "教师学段")
    private String period;

    @NotBlank(message = "教师学科")
    private String subject;
    /**
     * 评语重复次数
     */
    private int repeat;
    /**
     * 返回评语大概字数
     */
    private int size;
    /**
     * 评语内容
     */
    private String text;
    /**
     * 评语数据
     */
    private Object data;
}

