package cn.teammodel.model.entity.ai;

import cn.teammodel.model.entity.BaseItem;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 聊天应用(面具)
 * code: ChatApp
 * @author winter
 * @create 2024-01-23 11:08
 */
@EqualsAndHashCode(callSuper = true)
@Container(containerName = "School")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ChatApp extends BaseItem {
    /**
    * 租户 id (telnet id)
    */
    private String schoolId;
    /**
    * 图标
    */
    private String icon;
    private String name;
    private String bizType;
    private String scope;
    /**
    * 语言
    */
    private String lang;
    /**
    * 题目类型
    */
    private String itemType;
    /**
    * 学段
    */
    private String period;
    /**
    * 学科
    */
    private String subject;
    private String description;
    /**
    * 面具提示词
    */
    private String prompt;
    private String creator;
    private String creatorId;
    private Long createTime;
}
